extends Camera3D

@onready var player: CharacterBody3D = $".."

var sensitivity = 0.008

func _unhandled_input(event: InputEvent) -> void:
	if event is InputEventMouseMotion and not get_tree().paused:
		player.rotate_y(-event.relative.x * sensitivity)
		player.camera_pov.rotate_x(-event.relative.y * sensitivity)
		player.camera_pov.rotation.x=clamp(player.camera_pov.rotation.x,deg_to_rad(-90),deg_to_rad(90))
